"use strict"
// базовый общий для всех
XHEBaseObject = require("../../xhe_base.js")

/////////////////////////////////////////// Plgn_AdressExtraction ////////////////////////////////////////
class XHEADDRESS_EXTRACTION extends XHEBaseObject
{
///////////////////////////////// SERVICE FUNCTIONS ////////////////////////////////////////////////
    // server initialization
    constructor(server, password = "") {
	    super(server, password, "Plgn_AdressExtraction")
    }
/////////////////////////////////////////////////////////////////////////////////////////////////////

    // Выделение адреса из текста
    extraction(adress_str, filePath="null") {
        const params = ["adress_str", adress_str, "filePath", filePath]
        return this.call_get("extraction", params)
    }

    // Разделение адреса из текста
    separation(adress_str, filePath="null") {
        const params = ["adress_str", adress_str, "filePath", filePath]
        return this.call_get("separation", params)
    }

    // Выделение адреса из текстового файла
    file_extraction(path, filePath="null") {
        const params = ["path", path, "filePath", filePath]
        return this.call_get("file_extraction", params)
    }

    // Разделение адреса из текстового файла
    file_separation(path, filePath="null") {
        const params = ["path", path, "filePath", filePath]
        return this.call_get("file_separation", params)
    }
}
module.exports = XHEADDRESS_EXTRACTION
