<?php
/////////////////////////////////////////// Plgn_AdressExtraction //////////////////////////////////////
class XHEADDRESS_EXTRACTION extends XHEBaseObject
{
//////////////////////////// SERVICE FUNCTIONS /////////////////////////////////////////////////////
    // server initialization
    private string $inner_number;

    function __construct(string $server, string $password="")
	{
		$this->server = $server;
		$this->password = $password;
		$this->prefix = "Plgn_AdressExtraction";
	}
/////////////////////////////////////////////////////////////////////////////////////////////////////    
    
    // Выделение адреса из текста
    function extraction(string $adress_str, string $filePath="NULL"): string
    {
        $params = array( "adress_str" => $adress_str, "filePath" => $filePath );
        return $this->call_get(__FUNCTION__, $params);
    }

    // Разделение адреса из текста
    function separation(string $adress_str, string $filePath="NULL"): string
    {
        $params = array( "adress_str" => $adress_str, "filePath" => $filePath );
        return $this->call_get(__FUNCTION__, $params);
    }

    // Выделение адреса из текстового файла
    function file_extraction(string $path, string $filePath="NULL"): string
    {
        $params = array( "path" => $path, "filePath" => $filePath );
        return $this->call_get(__FUNCTION__, $params);
    }

    // Разделение адреса из текстового файла
    function file_separation(string $path, string $filePath="NULL"): string
    {
        $params = array( "path" => $path, "filePath" => $filePath );
        return $this->call_get(__FUNCTION__, $params);
    }
};

?>
