from Objects.xhe_base import *


# Plgn_AdressExtraction
class XHEADDRESS_EXTRACTION(XHEBaseObject):
    # server initialization
    def __init__(self, server: str, password: str=""):
        self.server = server
        self.password = password
        self.prefix = "Plgn_AdressExtraction"


    # Выделение адреса из текста
    def extraction(self, adress_str: str, filePath: str="None") -> str:
        params = {"adress_str": adress_str, "filePath": filePath}
        return self.call_get("extraction", params)


    # Разделение адреса из текста
    def separation(self, adress_str: str, filePath: str="None") -> str:
        params = {"adress_str": adress_str, "filePath": filePath}
        return self.call_get("separation", params)


    # Выделение адреса из текстового файла
    def file_extraction(self, path: str, filePath: str="None") -> str:
        params = {"path": path, "filePath": filePath}
        return self.call_get("file_extraction", params)


    # Разделение адреса из текстового файла
    def file_separation(self, path: str, filePath: str="None") -> str:
        params = {"path": path, "filePath": filePath}
        return self.call_get("file_separation", params)

